vgp.discrete.platonic

## Class PjPlatonic

- java.lang.Object
- - jv.object.PsObject
  - - jv.project.PjProject
    - - vgp.discrete.platonic.PjPlatonic

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsTimeListenerIf, PsUpdateIf, PvPickListenerIf

      public class PjPlatonic
      extends PjProject

  Project shows a variety of Platonic solids. Each solid may be interactively modified to derive other regular solids.
  See Also:
    `PwPlatonic`, `PwModel`, Serialized Form
  Author:
    Ulrich Reitebuch, Konrad Polthier
  Version:
    23.06.03, 2.20 revised (ur) Save visibility of solid and tube, while modelling is activated.
    31.10.02, 2.10 revised (kp) Incorporate visibility of modeling panel.
    28.12.01, 2.00 revised (kp) Full revision when incorporating the new workshop handling.
    16.11.00, 1.22 revised (ur) Missing update(solid) added.
    04.10.00, 1.21 revised (ur) Solid is now started invisible.
    08.09.00, 1.20 revised (ur) Tube name now matches with solid name.
    21.03.00, 1.11 revised (kp) Default thickness of tube set to 0.1.
    24.10.99, 1.10 revised (kp) Method load() added.
    05.08.99, 1.00 created (ur)

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PjPlatonic()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `compute()` Invoke computation of a platonic solid.
    `java.lang.String` | `getSolidName()` Get the name of the currently shown platonic solid.
    `void` | `init()` Set some initial values for solid and tube.
    `boolean` | `isVisibleModeling()` Get visibility of modeling panel and operations.
    `boolean` | `isVisibleSolid()` Get visibility of solid in display.
    `boolean` | `isVisibleTube()` Get visibility of tube in display.
    `void` | `reset()` Reset project and start again.
    `boolean` | `setSolidName(java.lang.String solidName)` Set name of platonic solid to be shown.
    `void` | `setVisibleModeling(boolean flag)` Set visibility of modeling panel and operations.
    `void` | `setVisibleSolid(boolean flag)` Set visibility of solid in display.
    `void` | `setVisibleTube(boolean flag)` Set visibility of tube in display.
    `void` | `start()` Start the project.
    `boolean` | `update(java.lang.Object event)` Update the class whenever a child has changed.

    - ### Methods inherited from class jv.project.PjProject

      `addDisplay, addGeometry, addGeometry, dispose, dragDisplay, dragInitial, dragVertex, fitDisplays, getAnimation, getDisplay, getDisplays, getGeometry, getGeometry, getNumGeometries, getParameter, getParameterInfo, getViewer, hasAnimation, hasDisplay, isEnabledAutoFit, markVertices, pickDisplay, pickInitial, pickVertex, removeDisplay, removeGeometries, removeGeometry, selectDisplay, selectGeometry, setAnimation, setBackColor, setBorderType, setDisplay, setEnabledAutoFit, setGeometry, setParameterInfo, setTime, setViewer, stop, unmarkVertices`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.anim.PsTimeListenerIf

      `getName`

    - ### Methods inherited from interface jv.project.PvPickListenerIf

      `getName`

- - ### Constructor Detail

    - #### PjPlatonic

          public PjPlatonic()

      Constructor

  - ### Method Detail

    - #### init

          public void init()

      Set some initial values for solid and tube.
      Overrides:
        `init` in class `PjProject`

    - #### start

          public void start()

      Start the project.
      Overrides:
        `start` in class `PjProject`
      See Also:
        `PvViewerIf.start()`, `PjProject.isEnabledAutoFit()`

    - #### reset

          public void reset()

      Reset project and start again.

    - #### getSolidName

          public java.lang.String getSolidName()

      Get the name of the currently shown platonic solid.

    - #### setSolidName

          public boolean setSolidName(java.lang.String solidName)

      Set name of platonic solid to be shown.
      Returns:
        true if name corresponds to a valid and available solid.

    - #### compute

          public boolean compute()

      Invoke computation of a platonic solid.

    - #### update

          public boolean update(java.lang.Object event)

      Update the class whenever a child has changed. Method is usually invoked from the children.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PsObject`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject.setParent(PsUpdateIf)`, `PsObject.getFather()`, `PsObject.addUpdateListener(PsUpdateIf)`

    - #### isVisibleTube

          public boolean isVisibleTube()

      Get visibility of tube in display.
      Version:
        25.07.03, 1.10 revised (kp) Renamed to isVisibleTube() from getTubeVisibility().

    - #### setVisibleTube

          public void setVisibleTube(boolean flag)

      Set visibility of tube in display. If tube is invisible then it is removed from display.
      Version:
        25.07.03, 1.10 revised (kp) Renamed to setVisibleTube() from setTubeVisibility().

    - #### isVisibleSolid

          public boolean isVisibleSolid()

      Get visibility of solid in display.
      Version:
        25.07.03, 1.10 revised (kp) Renamed to isVisibleSolid() from getSolidVisibility().

    - #### setVisibleSolid

          public void setVisibleSolid(boolean flag)

      Set visibility of solid in display.
      Version:
        25.07.03, 1.10 revised (kp) Renamed to setVisibleSolid() from setSolidVisibility().

    - #### isVisibleModeling

          public boolean isVisibleModeling()

      Get visibility of modeling panel and operations.
      Since:
        JavaView 2.45
      Author:
        Konrad Polthier
      Version:
        25.07.03, 1.10 revised (kp) Renamed to isVisibleModeling() from getModelingVisibility().
        31.10.02, 1.00 created (kp)

    - #### setVisibleModeling

          public void setVisibleModeling(boolean flag)

      Set visibility of modeling panel and operations. If modeling becomes visible then modeling operations are applied as specified with PwModel and display of tubes is disabled and display of solid is enabled. If modeling becomes invisible then its geometry is removed from modeling workshop.
      Since:
        JavaView 2.45
      Author:
        Konrad Polthier
      Version:
        25.07.03, 1.20 revised (kp) Renamed to setVisibleModeling() from setModelingVisibility().
        23.06.03, 1.10 revised (ur) Save and restore visibility of solid and tube.
        31.10.02, 1.00 created (kp)

"

The software JavaView? is copyright protected. All Rights Reserved.
"